## groovy.xml.streamingmarkupsupport
Class StreamingMarkupWriter

Field Summary
`CharsetEncoder` | `encoder`
`String` | `encoding`
`boolean` | `encodingKnown`
`Writer` | `escapedWriter`
`boolean` | `haveHighSurrogate`
`StringBuffer` | `surrogatePair`
`Writer` | `writer`
`boolean` | `writingAttribute`

Constructor Summary
`StreamingMarkupWriter(Writer writer, String encoding)`
`StreamingMarkupWriter(Writer writer)`

Method Summary
`void` | `close()`
`Writer` | `escaped()`
`void` | `flush()`
`String` | `getEncoding()`
`boolean` | `getEncodingKnown()`
`String` | `getNormalizedEncoding(String unnormalized)`
`void` | `setWritingAttribute(boolean writingAttribute)`
`Writer` | `unescaped()`
`void` | `write(int c)`
`void` | `write(def cbuf, int off, int len)`

Constructor Detail

### StreamingMarkupWriter

    public StreamingMarkupWriter(Writer writer, String encoding)

### StreamingMarkupWriter

    public StreamingMarkupWriter(Writer writer)

Method Detail

### close

    public void close()

### escaped

    public Writer escaped()

### flush

    public void flush()

### getEncoding

    public String getEncoding()

### getEncodingKnown

    public boolean getEncodingKnown()

### getNormalizedEncoding

    String getNormalizedEncoding(String unnormalized)

### setWritingAttribute

    public void setWritingAttribute(boolean writingAttribute)

### unescaped

    public Writer unescaped()

### write

    public void write(int c)

### write

    public void write(def cbuf, int off, int len)